## liburing 0.6

=== debian/changelog ===
liburing (0.6-3ubuntu1) groovy; urgency=medium

  * Fix build and autopkgtest self tests (LP: #1878006).

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 01 Jul 2020 11:09:38 +0200

liburing (0.6-3) unstable; urgency=medium

  * Add dependencies on libc6-dev | libc-dev and linux-libc-dev (>= 5.1)
    to liburing-dev. (Closes: #959182)
  * Replace mmap patch with upstream one.

 -- Guillem Jover <guillem@debian.org>  Fri, 01 May 2020 05:05:09 +0200

liburing (0.6-2) unstable; urgency=medium

  * Fix build failures on armhf and armel, by using __NR_mmap2 when __NR_mmap
    is not defined, which is fine, because the unit tests pass 0 as offset.

 -- Guillem Jover <guillem@debian.org>  Wed, 22 Apr 2020 01:30:19 +0200

liburing (0.6-1) unstable; urgency=medium

  * Initial release. (Closes: #950903)

 -- Guillem Jover <guillem@debian.org>  Fri, 17 Apr 2020 21:25:25 +0200
