## liburing 0.7

=== debian/changelog ===
liburing (0.7-3~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 09 Oct 2021 10:22:24 -0700

liburing (0.7-3~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports (no source/packaging changes).

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 29 Dec 2020 16:29:13 +0300

liburing (0.7-3) unstable; urgency=medium

  * Switch to Standards-Version 4.5.1 (no changes needed).
  * Add new debian/upstream/metadata file.

 -- Guillem Jover <guillem@debian.org>  Thu, 24 Dec 2020 18:11:40 +0100

liburing (0.7-2) unstable; urgency=medium

  * Bump the minimum version for all symbols in the symbols file, to
    workaround that 0.7 upstream version unintentionally broke the ABI
    without bumping the SONAME. (Closes: #972758)

 -- Guillem Jover <guillem@debian.org>  Wed, 28 Oct 2020 10:35:07 +0100

liburing (0.7-1) unstable; urgency=medium

  * New upstream version.
  * Refactor debian/tests/test-build into two loops to avoid repetition.
  * Use link-cp instead of io_uring-cp as example command to test.
    Reported by Christian Ehrhardt <christian.ehrhardt@canonical.com>.

 -- Guillem Jover <guillem@debian.org>  Wed, 09 Sep 2020 04:26:54 +0200
