=== debian/control ===
Source: liburing
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Guillem Jover <guillem@debian.org>
Uploaders: Michael Tokarev <mjt@tls.msk.ru>
Vcs-Browser: https://git.hadrons.org/cgit/debian/pkgs/liburing.git
Vcs-Git: https://git.hadrons.org/git/debian/pkgs/liburing.git
Homepage: https://github.com/axboe/liburing
Standards-Version: 4.5.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 12), procps <!nocheck>

Package: liburing1
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Linux kernel io_uring access library - shared library
 This library provides helpers to setup and teardown io_uring instances,
 and also a simplified interface for applications that do not need (or
 want) to deal with the full kernel side implementation.
 .
 This package contains the shared library.

Package: liburing-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: libc6-dev | libc-dev,
         liburing1 (= ${binary:Version}),
         linux-libc-dev (>= 5.1),
         ${misc:Depends}
Description: Linux kernel io_uring access library - development files
 This library provides helpers to setup and teardown io_uring instances,
 and also a simplified interface for applications that do not need (or
 want) to deal with the full kernel side implementation.
 .
 This package contains the static library and the header files.
