=== debian/rules ===
--- 
+++ 
@@ -33,16 +33,7 @@
 # XXX: The tests do not pass yet on Linux 5.5, and they are not being
 # skipped either.
 override_dh_auto_test:
-ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
- ifeq ($(DEB_RULES_REQUIRES_ROOT),dpkg/target-subcommand)
-  ifeq (,$(findstring fakeroot,$(DEB_GAIN_ROOT_CMD)))
-	$(DEB_GAIN_ROOT_CMD) dh_auto_test -- runtests || true
-  else
-	@echo 'Warning: Tests require real root, not fakeroot.  Skipping.' >&2
-  endif
- else ifeq (0,$(shell id -u))
-	dh_auto_test -- runtests
- else
-	@echo 'Warning: Tests require root.  Skipping.' >&2
- endif
-endif
+	dh_auto_test -- runtests || true
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
