=== debian/tests/control ===
Tests: test-build
Restrictions: flaky skippable
Depends: build-essential, liburing-dev, pkg-config

Tests: test-unit
Restrictions: flaky rw-build-tree
Depends: build-essential
