## liburing 2.0

=== debian/changelog ===
liburing (2.0-1) experimental; urgency=medium

  * New upstream version.
    - Bump shared library SONAME to liburing2.
    - Install man pages from section 3 and 7.
  * Add patch to skip tests that require root.

 -- Guillem Jover <guillem@debian.org>  Thu, 09 Sep 2021 03:29:04 +0200
