=== debian/changelog ===
liburing (2.1-2build1) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 17:13:48 +0100

liburing (2.1-2) unstable; urgency=medium

  * Upload to unstable.
  * Switch to Standards-Version 4.6.0 (no changes needed).
  * Make globs in debhelper fragment files more specific to avoid them
    missing filename changes or including unintended files.

 -- Guillem Jover <guillem@debian.org>  Sat, 13 Nov 2021 02:07:31 +0100

liburing (2.1-1) experimental; urgency=medium

  * New upstream release.
  * Add patch to fix build failures on any-arm due to direct syscall(2) use.

 -- Guillem Jover <guillem@debian.org>  Thu, 16 Sep 2021 04:02:01 +0200
