=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: liburing
 Section: libs
 Priority: optional
-Maintainer: Guillem Jover <guillem@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Guillem Jover <guillem@debian.org>
 Vcs-Browser: https://git.hadrons.org/cgit/debian/pkgs/liburing.git
 Vcs-Git: https://git.hadrons.org/git/debian/pkgs/liburing.git
 Homepage: https://github.com/axboe/liburing
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
