## liburing 2.1.1

=== debian/changelog ===
liburing (2.1.1-1+dde) UNRELEASED; urgency=medium

  * update

 -- Guillem Jover <guillem@debian.org>  Tue, 26 Jul 2022 11:09:52 +0800

liburing (2.1.1-1+dde) unstable; urgency=medium

  * Add sunway support.

 -- Miao Changwei <miaochangwei@uniontech.com>  Mon, 16 May 2022 01:08:18 +0800
