=== debian/rules ===
--- 
+++ 
@@ -30,10 +30,7 @@
 override_dh_auto_build:
 	dh_auto_build -- $(buildflags)
 
-# XXX: The tests do not pass yet on Linux 5.5, and they are not being
+# XXX: The tests do not pass yet on Linux 5.13, and they are not being
 # skipped either.
 override_dh_auto_test:
 	dh_auto_test -- runtests || true
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
