## liburing 2.2

=== debian/changelog ===
liburing (2.2-2) unstable; urgency=medium

  * Pass build flags explicitly to dh_auto_build. This will override the
    variables set explicitly by upstream.
  * Add missing License field to test/* stanza in debian/copyright.
  * Documentation cleanup:
    - Fix typos in man pages and test cases.
    - Add missing section numbers to man pages.
    - Lowercase man page title headers.
  * Add missing patch metadata.
  * Enable LFS build options. This should be ABI safe as the shared library
    does not export symbols with problematic type, the only problematic types
    are exposed as part of «static inline» functions from the header file.

 -- Guillem Jover <guillem@debian.org>  Thu, 18 Aug 2022 12:04:48 +0200

liburing (2.2-1) unstable; urgency=medium

  * New upstream release.
    - Remove 0001-test-Use-syscall-wrappers-instead-of-using-syscall-2.patch,
      included upstream.
  * Switch to Standards-Version 4.6.1 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Fri, 01 Jul 2022 12:38:56 +0200
