=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow future=+lfs
 export DEB_CFLAGS_MAINT_PREPEND = -Wall
 
 DPKG_EXPORT_BUILDTOOLS = 1
@@ -13,6 +13,9 @@
 ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
 	buildflags += V=1
 endif
+buildflags += CPPFLAGS="$(CPPFLAGS)"
+buildflags += CFLAGS="$(CFLAGS)"
+buildflags += LDFLAGS="$(LDFLAGS)"
 
 %:
 	dh $@
