=== debian/changelog ===
liburing (2.3-3) unstable; urgency=medium

  * Switch to Standards-Version 4.6.2 (no changes needed).
  * Do not trim debian/changelog.
  * Update copyright years.
  * Make globs in debhelper fragment files more specific.
  * Switch from hardening=+bindnow to hardening=+all.
  * Update debian/patches metadata.

 -- Guillem Jover <guillem@debian.org>  Wed, 18 Jan 2023 03:15:54 +0100

liburing (2.3-2) unstable; urgency=medium

  * Artificially bump symbol versions to 2.3 for functions involved in a
    forward compatibility ABI break, for objects built against the new
    library and run-time linked against the old one, until upstream decides
    how to fix/improve this. Closes: #1023654

 -- Guillem Jover <guillem@debian.org>  Mon, 14 Nov 2022 00:15:08 +0100

liburing (2.3-1) unstable; urgency=medium

  * New upstream release.
    - Remove 0001-Fix-typos.patch, merged upstream.
    - Remove 0002-Fix-typos.patch, ditto.
    - Remove 0003-man-Add-missing-section-numbers.patch, ditto.
    - Remove 0004-man-Lowercase-man-page-name-in-title-header.patch, ditto.
    - Remove tests-skip.patch, no longer needed.
  * Remove lintian-override false-positive, fixed in lintian.
  * Add patch fixing typos in man pages.

 -- Guillem Jover <guillem@debian.org>  Sat, 05 Nov 2022 00:14:14 +0100
