=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow future=+lfs
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all future=+lfs
 export DEB_CFLAGS_MAINT_PREPEND = -Wall
 
 DPKG_EXPORT_BUILDTOOLS = 1
@@ -37,3 +37,6 @@
 # skipped either.
 override_dh_auto_test:
 	dh_auto_test -- runtests || true
+
+override_dh_installchangelogs:
+	dh_installchangelogs --no-trim
