=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://brick.kernel.dk/snaps/ liburing-([\d\.]+)\.tar\.[gx]z debian uupdate
