=== debian/changelog ===
liburing (2.4-1) unstable; urgency=medium

  * New upstream release.
    - Remove 0001-man-Fix-typos.patch, merged upstream.
    - Add new patch to fix stack protection disabling.
    - Add new patch to fail the build on undefined symbols.
    - Install new liburing-ffi static and shared libraries.
    - Install new man pages.
  * Fix license information for a test file in debian/copyright.

 -- Guillem Jover <guillem@debian.org>  Tue, 13 Jun 2023 02:50:52 +0200
