=== debian/changelog ===
liburing (2.5-1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:08:15 +0200

liburing (2.5-1) unstable; urgency=medium

  * New upstream release.
    - Remove 0001-build-Disable-stack-protector-unconditionally.patch,
      merged upstream.
    - Remove 0002-build-Fail-the-build-if-we-have-undefined-symbols.patch,
      ditto.
  * Switch back to use libc (from nolibc) after the support got restored
    upstream with the new configure --use-libc option.
  * Switch autopkgtest dependency from pkg-config to pkgconf.
  * Wrap fields in debian/tests/control.
  * Fix a typo in the manual pages.

 -- Guillem Jover <guillem@debian.org>  Fri, 10 Nov 2023 02:30:36 +0100
