=== debian/rules ===
--- 
+++ 
@@ -28,12 +28,13 @@
 	  --mandir=/usr/share/man \
 	  --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 	  --libdevdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
+	  --use-libc \
 	  --cc=$(CC)
 
 override_dh_auto_build:
 	dh_auto_build -- $(buildflags)
 
-# XXX: The tests do not pass yet on Linux 5.13, and they are not being
+# XXX: The tests do not pass yet as of Linux 6.5, and they are not being
 # skipped either.
 override_dh_auto_test:
 	dh_auto_test -- runtests || true
