## liburing 2.6

=== debian/changelog ===
liburing (2.6-1) unstable; urgency=medium

  * New upstream release.
    - Remove 0001-man-io_uring_queue_init.3-Fix-typo.patch, merged upstream.
    - Add patches from upstream git:
      0001-test-skip-test-case-if-underlying-filesystem-doesn-t.patch,
      0002-test-buf-ring-skip-on-older-kernels-that-don-t-suppo.patch
      0003-man-fix-IORING_REGISTER_RING_FDS-docs.patch
    - Clean test/core-coredump.t as it is an expected artifact.
  * Switch from future=+lfs to abi=+lfs build flags feature, and Build-Depends
    on dpkg-dev >= 1.22.0.
  * Switch to Standards-Version 4.7.0 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Sun, 05 May 2024 17:29:50 +0200
