=== debian/changelog ===
liburing (2.8-1) unstable; urgency=medium

  * New upstream release.
    - Remove patches merged or pulled from upstream:
      0001-Don-t-set-_GNU_SOURCE-in-pkg-config-cflags.patch
      0001-Fix-typos.patch
      0002-Fix-typos.patch

 -- Guillem Jover <guillem@debian.org>  Sat, 26 Oct 2024 23:31:51 +0200

liburing (2.7-2) unstable; urgency=medium

  * Do not define _GNU_SOURCE in the .pc file Cflags. Closes: #1080419

 -- Guillem Jover <guillem@debian.org>  Wed, 04 Sep 2024 00:51:39 +0200

liburing (2.7-1) unstable; urgency=medium

  * New upstream release.
    - Remove patches pulled from upstream:
      0001-test-skip-test-case-if-underlying-filesystem-doesn-t.patch
      0002-test-buf-ring-skip-on-older-kernels-that-don-t-suppo.patch
      0003-man-fix-IORING_REGISTER_RING_FDS-docs.patch
  * Fix typos in code and manual pages.

 -- Guillem Jover <guillem@debian.org>  Tue, 27 Aug 2024 10:36:30 +0200
